These are chat archives for reactioncommerce/reaction

1st
Apr 2018
Nathan Smith
@NSMobileCS
Apr 01 2018 01:56
my colleague & I can't figure out how to get xcode installed on her machine, because i think xcode 8.3 is the newest her OS X version supports, but the app store only offers xcode 9.3.
is there a way to avoid needing xcode?
or somewhere we can find a working link to xcode 8.3 or earlier?
tawashy
@tawashy
Apr 01 2018 02:07
i’m trying to use scss instead of less. i’ve installed fourseven:scss and created <myplugin>/client/index.scss. inside this file i imported my scss main file with @import "./styles/main.scss”; but i get this error message

=> Errors prevented startup:

While building for web.browser:
/imports/plugins/custom/sandoq-theme/client/index.scss: Scss compiler error: File to import: {}./styles/main.scss
not found in file:
/Users/yasertawash/Documents/Work/Sandoq/E-Commerce-examples/with-theme/{}/imports/plugins/custom/sandoq-theme/client/index.scss

While processing files with fourseven:scss (for target web.browser):
/client/plugins.scss: Scss compiler error: File to import: /imports/plugins/custom/sandoq-theme/client/index.scss
not found in file: /Users/yasertawash/Documents/Work/Sandoq/E-Commerce-examples/with-theme/{}/client/plugins.scss

am i doing something wrong ?
Nathan Smith
@NSMobileCS
Apr 01 2018 02:59
(nvm, i guess she found the link to older xcode version)
tawashy
@tawashy
Apr 01 2018 03:05

I have figured out the first issue. but i still don’t know what the second issue is.

While processing files with fourseven:scss (for target web.browser): /client/plugins.scss: Scss compiler error: File to import: /imports/plugins/custom/sandoq-theme/client/index.scss not found in file: /Users/yasertawash/Documents/Work/Sandoq/E-Commerce-examples/with-theme/{}/client/plugins.scss

galpeer
@galpeer
Apr 01 2018 12:50
hey guys, If I want to add an addition field to the "Shop" object. I extended the DB scheme but I want to add it to the UI also. I found that this edit form is defined in "settings.html" so it's not a react component. How can I add the new field in my plugin? Thanks